Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.metaclass
[Groovy] Class ForwardMethod

    java.lang.Object
      org.codehaus.groovy.grails.web.metaclass.ForwardMethod

    class ForwardMethod
    extends java.lang.Object

Implements performing a forward.

Authors:
  Graeme Rocher

Since:
  1.1

Field Summary
`static java.lang.String` | `CALLED`
`static java.lang.String` | `IN_PROGRESS`

Method Summary
`java.lang.String` | `forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Map params)`
`void` | `setUrlConverter(UrlConverter urlConverter)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CALLED

    public static final java.lang.String CALLED

### IN_PROGRESS

    public static final java.lang.String IN_PROGRESS

Method Detail

### forward

    java.lang.String forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Map params)

### setUrlConverter

    void setUrlConverter(UrlConverter urlConverter)

Groovy Documentation